-- originally created by clunatic
dofile("Base.rte/Constants.lua")
dofile("gwtbBlues.rte/Actors/Soldiers/MeleeNativeHumanAI.lua")		--Change this to point to the right location

function Create(self)
	self.AI = MeleeNativeHumanAI:Create(self)
	self.soundTimer = Timer();
    self.delay = 1000    -- cooldown before another sound can play, in MS
    self.dmgLimit = 2    -- how much damage has to be dealt at once for sound to play
    self.lastHealth = self.Health
end

function Update(self)
	if self.soundTimer:IsPastSimMS(self.delay) then
		if self.Health <= 0 and self:IsDead() == false then
			local sfx = CreateAEmitter("gwtbBlues.rte/Soldier Death 2")
			sfx.Pos = self.Pos
			MovableMan:AddParticle(sfx)
			self.soundTimer:Reset();
		elseif self.Health < self.lastHealth-self.dmgLimit and self:IsDead() == false then
			local sfx = CreateAEmitter("gwtbBlues.rte/Soldier Pain 2")
			sfx.Pos = self.Pos
			MovableMan:AddParticle(sfx)
			self.soundTimer:Reset();
		end
	end
	self.lastHealth = self.Health
end

function UpdateAI(self)
	self.AI:Update(self)
end