dofile("Base.rte/Constants.lua")
dofile("Base.rte/Actors/AI/NativeCrabAI.lua")

function Create(self)
	self.AI = NativeCrabAI:Create(self)
	self.soundTimer = Timer();
    self.delay = 180
	self.justSpawned = true;
	self.enableselect = true;
	self.ordersteam = true;
	self.ordersgoto = true;
	self.orderssentry = false;
	self.orderspatrol = true;
end

function Update(self)
	if self.soundTimer:IsPastSimMS(self.delay) then
		if self:GetController():IsState(Controller.MOVE_LEFT) or self:GetController():IsState(Controller.MOVE_RIGHT) then
			local sfx = CreateAEmitter("Tank Move")
			sfx.Pos = self.Pos
			MovableMan:AddParticle(sfx)
			self.soundTimer:Reset();
		end
	end
end