function Create(self)
	self.origShakeRange = ToHDFirearm(self).ShakeRange;
	self.origSharpShakeRange = ToHDFirearm(self).SharpShakeRange;
	self.origReloadTime = ToHDFirearm(self).ReloadTime;
	self.origNoSupportFactor = ToHDFirearm(self).NoSupportFactor;
end

function Update(self)
	local Unit = MovableMan:GetMOFromID(self.RootID);
	if self:IsAttached() and MovableMan:IsActor(Unit) and Unit:IsInGroup("GWTB Greens") then
		self.ShakeRange = self.origShakeRange*1.5;
		self.SharpShakeRange = self.origSharpShakeRange*2.0;
		self.ReloadTime = self.origReloadTime*1.5;
		self.NoSupportFactor = self.origNoSupportFactor*2.0;
	else
		self.ShakeRange = self.origShakeRange;
		self.SharpShakeRange = self.origSharpShakeRange;
		self.ReloadTime = self.origReloadTime;
		self.NoSupportFactor = self.origNoSupportFactor;
	end
	if self:IsActivated() and MovableMan:IsActor(Unit) and Unit:IsInGroup("GWTB Greens") then
		self.isJammed = math.ceil(math.random(0,5000));
		if self.isJammed<18 then
			self:Reload();
		end
	end
end